#
# spec file for package python-pytz
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-pytz
Version:        2015.2
Release:        3.2
Summary:        World timezone definitions, modern and historical
License:        MIT
Group:          Development/Languages/Python
Url:            http://pytz.sourceforge.net
Source:         http://pypi.python.org/packages/source/p/pytz/pytz-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM fix-tests.patch -- Remote tests which are known to be broken
Patch0:         fix-tests.patch
# PATCH-FEATURE-OPENSUSE -- Use system tz database (Olson database)
Patch1:         system_zoneinfo.patch
Requires:       timezone
BuildRequires:  fdupes
BuildRequires:  python-devel
BuildRequires:  python-nose
# Tests will use this package
BuildRequires:  timezone
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

Provides:       python-tz = 2014b
Obsoletes:      python-tz < 2014b

%description
pytz - World Timezone Definitions for Python
pytz brings the Olson tz database into Python. This library allows
accurate and cross platform timezone calculations using Python 2.4
or higher. It also solves the issue of ambiguous times at the end
of daylight savings, which you can read more about in the Python
Library Reference (``datetime.tzinfo``).

Amost all of the Olson timezones are supported.

%prep
%setup -q -n pytz-%{version}
# Disable test which is not working (and documented so)
%patch0 -p1
%if 0%{?suse_version} >= 1310
# Use system tz database
%patch1 -p1
%endif
# For rpmlint warning: remove shebang from python library:
sed -i '/^#!/d' ./pytz/tzfile.py

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
# Remove the pytz zoneinfo only if we use the system tz database
%if 0%{?suse_version} >= 1310
rm -fr %{buildroot}%{python_sitelib}/pytz/zoneinfo
%endif
%fdupes %{buildroot}%{python_sitelib}

%check
nosetests

%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.txt
%{python_sitelib}/*

%changelog
* Sun Apr 19 2015 benoit.monin@gmx.fr
- update to version 2015.2:
  * update to Olson/IANA database version 2015b
* Wed Jan 14 2015 mcihar@suse.cz
- Do not remove internal timezone database on older distributions where
  it is still required
* Wed Jan  7 2015 dmueller@suse.com
- update to 2014.10:
  + Database update to 2014j
* Thu Nov 13 2014 aplanas@suse.com
- Use system tz database instead pytz one
  + Add system_zoneinfo.patch
  + Add timezone requirement
* Tue Nov 11 2014 idonmez@suse.com
- Update to pytz 2014.9
  + Database updated to 2014i
* Thu Jul 24 2014 mcihar@suse.com
- Run test suite during build (required disabling of one test as
  it is known to be broken)
- Disable broken test (fix-tests.patch)
* Wed Jul 23 2014 mcihar@suse.cz
- Update to pytz 2014.4
  + Database update to 2014d
* Sat Apr 12 2014 aj@ajaissle.de
- Update to pytz 2014.2
  + Olson/IANA databse version 2014b
  + No code changes in this release
* Mon Jan 13 2014 dmueller@suse.com
- update to 2013.9:
  - Olson database 2013i
* Fri Nov  8 2013 aj@ajaissle.de
- New upstream release 2013.8
  - IANA database version 2013h
  - No code changes
* Mon Oct 21 2013 speilicke@suse.com
- Update to version 2013.7:
  + No changes
* Tue Sep 17 2013 dmueller@suse.com
- update to 2013d:
  * sync with timezone 2013d release
* Tue Apr 30 2013 dmueller@suse.com
- remove conflicts with timezone, breaks the build
* Tue Apr 30 2013 dmueller@suse.com
- add provides/obsoletes on python(3)-tz
* Mon Apr 29 2013 dmueller@suse.com
- update to 2013b:
  * Sync with timezone 2013b release
* Mon Jan 14 2013 p.drouand@gmail.com
- Initial python3 support
* Mon Jan 14 2013 p.drouand@gmail.com
- Update to 2012j version:
  * Add python3 support
- Fix a shebang RPMLint warning
* Wed Mar 21 2012 saschpe@gmx.de
- Initial version
